> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available banners



## OpenAPI

````yaml openapi/banner-v1.json GET /v1/banners
openapi: 3.0.1
info:
  title: Banner.Api
  version: v1
servers:
  - url: https://{host}/banner
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v1/banners:
    get:
      tags:
        - S2S
      summary: Get available banners
      parameters:
        - name: memberId
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Banner.Api.DTO.Responses.GetAvailableBannersResponseV1
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Banner.Api.DTO.Responses.GetAvailableBannersResponseV1
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Banner.Api.DTO.Responses.GetAvailableBannersResponseV1
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
      deprecated: true
components:
  schemas:
    Banner.Api.DTO.Responses.GetAvailableBannersResponseV1:
      type: object
      properties:
        banners:
          type: array
          items:
            $ref: >-
              #/components/schemas/Banner.ApplicationService.CQRS.Models.AvailableBannerV1
          nullable: true
      additionalProperties: false
    LoopFoundation.Commons.Contracts.WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
    Banner.ApplicationService.CQRS.Models.AvailableBannerV1:
      type: object
      properties:
        analyticsId:
          type: string
          nullable: true
        placements:
          type: array
          items:
            $ref: >-
              #/components/schemas/Banner.ApplicationService.CQRS.Models.AvailableBannerPlacement
          nullable: true
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/Banner.ApplicationService.CQRS.Models.AvailableBannerItem
          nullable: true
      additionalProperties: false
    Banner.ApplicationService.CQRS.Models.AvailableBannerPlacement:
      type: object
      properties:
        bannerPlacement:
          type: string
        conditions:
          type: array
          items:
            $ref: >-
              #/components/schemas/Banner.ApplicationService.CQRS.Models.PlacementCondition
          nullable: true
      additionalProperties: false
    Banner.ApplicationService.CQRS.Models.AvailableBannerItem:
      type: object
      properties:
        bannerUrl:
          type: string
          nullable: true
        altText:
          type: string
          nullable: true
        actionUrl:
          type: string
          nullable: true
        useWebWrapper:
          type: boolean
          nullable: true
      additionalProperties: false
    Banner.ApplicationService.CQRS.Models.PlacementCondition:
      type: object
      properties:
        name:
          type: string
          nullable: true
        values:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Opaque Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````